package cn.com.mjsoft.cms.content.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cn.com.mjsoft.cms.content.service.ExtContentMTService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.mjsoft.cms.content.service.ContentService;
import cn.com.mjsoft.framework.util.StringUtil;
import cn.com.mjsoft.framework.web.wing.ServletUtil;

@SuppressWarnings( "unchecked" )
@Controller
@RequestMapping( "/content" )
public class ClientRequestContentClickAndCommStatusController
{
    @Autowired
    private ContentService contentService;

    @Autowired
    private ExtContentMTService extContentMTService;

    @ResponseBody
    @RequestMapping( value = "/status.do", method = { RequestMethod.POST, RequestMethod.GET } )
    public Object status( HttpServletRequest request, HttpServletResponse response )
    {
        Map params = ServletUtil.getRequestInfo( request );

        Long cId = StringUtil.getLongValue( ( String ) params.get( "id" ), -1 );

        Map csMap = contentService.retrieveSingleContentStatus( cId );

        return csMap;
    }

    @ResponseBody
    @RequestMapping( value = "/contentMTHeart.do", method = { RequestMethod.POST } )
    public Object auditHert( HttpServletRequest request, HttpServletResponse response )
    {
        Map params = ServletUtil.getRequestInfo( request );

        Long cId = StringUtil.getLongValue( ( String ) params.get( "id" ), -1 );

        extContentMTService.setContentMT(cId.toString());

        return "ok";
    }

    @ResponseBody
    @RequestMapping( value = "/getContentMT.do", method = { RequestMethod.POST, RequestMethod.GET } )
    public Object getContentMT( HttpServletRequest request, HttpServletResponse response )
    {
        Map params = ServletUtil.getRequestInfo( request );

        Long cId = StringUtil.getLongValue( ( String ) params.get( "id" ), -1 );

        return extContentMTService.getContentInMT(cId.toString());
    }

    @ResponseBody
    @RequestMapping( value = "/clearContentMT.do", method = { RequestMethod.POST, RequestMethod.POST } )
    public Object clearContentMT( HttpServletRequest request, HttpServletResponse response )
    {
        Map params = ServletUtil.getRequestInfo( request );

        Long cId = StringUtil.getLongValue( ( String ) params.get( "id" ), -1 );

        extContentMTService.clearContentMT(cId.toString());

        return "success";
    }

    @ResponseBody
    @RequestMapping( value = "/getManagerInfo.do", method = { RequestMethod.GET } )
    public Object getManagerInfo( HttpServletRequest request, HttpServletResponse response )
    {
        Map params = ServletUtil.getRequestInfo( request );

        Long userId = StringUtil.getLongValue( ( String ) params.get( "id" ), -1 );

        return extContentMTService.getManagerUserInfo(userId);
    }

}
